/**
 * Name:    JimControllerMain.java
 * Created: Dec 7, 2010
 * 
 * @author: relation
 */
package sk.fiit.testframework.communication;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.net.InetSocketAddress;

import sk.fiit.testframework.annotations.Reviewed;

/**
 * Used for test purposes of sending files to Jim TFTP server.
 * 
 * @author relation
 *
 */
public class JimControllerMain {

	/**
	 * JimController special test.
	 * 
	 * @param args
	 * @throws FileNotFoundException
	 * @throws IOException
	 */
	public static void main(String[] args) throws FileNotFoundException, IOException {
		
		JimController jc = new JimController();
		InetSocketAddress host = new InetSocketAddress("localhost", 3069);
		
		jc.sendFile(host, "passwd", new FileInputStream(new File("/home/relation/fun.log")));
		jc.executeRubyScriptOnAgent(host, "print \"Hello\"");
		
	}
	
}
