/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sk.fiit.testframework.trainer.testsuite.tester;

import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import sk.fiit.testframework.trainer.RobocupServerAddress;
import sk.fiit.testframework.trainer.testsuite.AgentJim;
import sk.fiit.testframework.trainer.testsuite.TestCase;
import sk.fiit.testframework.trainer.testsuite.TestCaseResult;

/**
 *
 * @author relation
 */
public class TestCaseTester {

    private RobocupServerAddress serverAddress;
    private TestCase testCase;
    private List<AgentJim> agents = new ArrayList<AgentJim>();

    private ExecutorService es = Executors.newCachedThreadPool();

    public TestCaseTester(RobocupServerAddress serverAddress, TestCase testCase) {
        this.serverAddress = serverAddress;
        this.testCase = testCase;
    }

    public TestCaseResult runOnce() {
        Future<TestCaseResult> result = es.submit(testCase);
        try {
            return result.get();
        } catch (Exception ex) {
            throw new RuntimeException("Test execution exception" + ex);
        }
    }
    

}
