package sk.fiit.testframework.worldrepresentation.models;

import sk.fiit.testframework.geometry.Vector3;

public class Player {

	private NaoBody body;
	private boolean isOnGround;

	public void setBody(NaoBody body) {
		this.body = body;
	}

	public NaoBody getBody() {
		return body;
	}

	public void setOnGround(boolean isOnGround) {
		this.isOnGround = isOnGround;
	}

	public boolean isOnGround() {
		return isOnGround;
	}
	
	public Vector3 getLocation() {
		return body.getTorso().getTranslation();
	}
	
	public Vector3 getRotation() {
		return body.getTorso().getRotation();
	}
}
